# BigInteger Interface Reference
[Mathematical utilities]

Inheritance diagram for BigInteger:
[legend]

List of all members.

## Public Member Functions

| add (BigInteger $x)
| compareTo (BigInteger $x)
| mod (BigInteger $mod)
| pow (BigInteger $exp)
| modPow (BigInteger $exp, BigInteger $mod)
| subtract (BigInteger $x)
| mul (BigInteger $x)
| div (BigInteger $x)
| toBinary ()
| convert to big-endian signed two's complement notation
| intValue ()
| floatValue ()

## Static Public Member Functions

static | getFactory ()

## Detailed Description

Definition at line 15 of file BigInteger.class.php.

## Member Function Documentation

BigInteger::add | ( | BigInteger $ | x | ) |

Returns:
  BigInteger

Implemented in GmpBigInteger.

BigInteger::compareTo | ( | BigInteger $ | x | ) |

Implemented in GmpBigInteger.

BigInteger::div | ( | BigInteger $ | x | ) |

Returns:
  BigInteger

Implemented in GmpBigInteger.

BigInteger::floatValue | ( |  | ) |

Implemented in GmpBigInteger.

static BigInteger::getFactory | ( |  | ) | `[static]`

Returns:
  BigNumberFactory

Implemented in GmpBigInteger.

BigInteger::intValue | ( |  | ) |

Implemented in GmpBigInteger.

Referenced by GmpBigInteger::pow().

BigInteger::mod | ( | BigInteger $ | mod | ) |

Returns:
  BigInteger

Implemented in GmpBigInteger.

BigInteger::modPow | ( | BigInteger $ | exp,
|  | BigInteger $ | mod |
| ) |  |  |

Returns:
  BigInteger

Implemented in GmpBigInteger.

Referenced by DiffieHellmanKeyPair::makeSharedKey().

BigInteger::mul | ( | BigInteger $ | x | ) |

Returns:
  BigInteger

Implemented in GmpBigInteger.

BigInteger::pow | ( | BigInteger $ | exp | ) |

Returns:
  BigInteger

Implemented in GmpBigInteger.

BigInteger::subtract | ( | BigInteger $ | x | ) |

Returns:
  BigInteger

Implemented in GmpBigInteger.

BigInteger::toBinary | ( |  | ) |

convert to big-endian signed two's complement notation

Implemented in GmpBigInteger.

The documentation for this interface was generated from the following file:

- main/Math/BigInteger.class.php